package com.yihu.wlyy.entity.patient;

import java.sql.Timestamp;
import java.util.Date;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;

import com.yihu.wlyy.entity.IdEntity;
import org.hibernate.annotations.GenericGenerator;

/**
 * 患者疾病。
 */
@Entity
@Table(name = "wlyy_patient_sick")
public class WlyyPatientSick extends IdEntity implements java.io.Serializable {
	private String code;
	private String patientCode;
	private String sickCode;
	private String sickName;
	private Date czrq;
	private String signType;
	private String doctorCode;
	private String del;

	public WlyyPatientSick(){}

	public WlyyPatientSick(String code) {
		this.code = code;
	}

	public WlyyPatientSick(String code, String patientCode, String sickCode,
			String sickName, Timestamp czrq, String signType, String doctorCode) {
		this.code = code;
		this.patientCode = patientCode;
		this.sickCode = sickCode;
		this.sickName = sickName;
		this.czrq = czrq;
		this.signType = signType;
		this.doctorCode = doctorCode;
	}

	@Column(name = "code", nullable = false, length = 100)
	public String getCode() {
		return this.code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	@Column(name = "patient_code", length = 100)
	public String getPatientCode() {
		return this.patientCode;
	}

	public void setPatientCode(String patientCode) {
		this.patientCode = patientCode;
	}

	@Column(name = "sick_code", length = 100)
	public String getSickCode() {
		return this.sickCode;
	}

	public void setSickCode(String sickCode) {
		this.sickCode = sickCode;
	}

	@Column(name = "sick_name", length = 200)
	public String getSickName() {
		return this.sickName;
	}

	public void setSickName(String sickName) {
		this.sickName = sickName;
	}

	@Column(name = "czrq", length = 0)
	public Date getCzrq() {
		return this.czrq;
	}

	public void setCzrq(Date czrq) {
		this.czrq = czrq;
	}

	@Column(name = "sign_type", length = 2)
	public String getSignType() {
		return this.signType;
	}

	public void setSignType(String signType) {
		this.signType = signType;
	}

	@Column(name = "doctor_code", length = 100)
	public String getDoctorCode() {
		return this.doctorCode;
	}

	public void setDoctorCode(String doctorCode) {
		this.doctorCode = doctorCode;
	}

	@Column(name = "del", length = 2)
	public String getDel() {
		return del;
	}

	public void setDel(String del) {
		this.del = del;
	}
}